
_InitTimer0:

;LED Driver.mbas,30 :: 		sub procedure InitTimer0()
;LED Driver.mbas,33 :: 		shot = 0
	CLRF       _shot+0
	CLRF       _shot+1
;LED Driver.mbas,34 :: 		OPTION_REG         = 0x88
	MOVLW      136
	MOVWF      OPTION_REG+0
;LED Driver.mbas,35 :: 		TMR0               = 57
	MOVLW      57
	MOVWF      TMR0+0
;LED Driver.mbas,36 :: 		INTCON             = 0xA0
	MOVLW      160
	MOVWF      INTCON+0
;LED Driver.mbas,37 :: 		end sub
L_end_InitTimer0:
	RETURN
; end of _InitTimer0

_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;LED Driver.mbas,40 :: 		sub procedure Interrupt()
;LED Driver.mbas,41 :: 		if (TMR0IF_bit) then
	BTFSS      TMR0IF_bit+0, BitPos(TMR0IF_bit+0)
	GOTO       L__Interrupt3
;LED Driver.mbas,46 :: 		TMR0IF_bit   = 0
	BCF        TMR0IF_bit+0, BitPos(TMR0IF_bit+0)
;LED Driver.mbas,47 :: 		TMR0         = 57
	MOVLW      57
	MOVWF      TMR0+0
;LED Driver.mbas,49 :: 		if shot = 0 THEN
	MOVLW      0
	XORWF      _shot+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt60
	MOVLW      0
	XORWF      _shot+0, 0
L__Interrupt60:
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt6
;LED Driver.mbas,50 :: 		BLANK_5940=1
	BSF        PORTB+0, 7
;LED Driver.mbas,51 :: 		BLANK_5940=0
	BCF        PORTB+0, 7
L__Interrupt6:
;LED Driver.mbas,54 :: 		inc(shot)
	INCF       _shot+0, 1
	BTFSC      STATUS+0, 2
	INCF       _shot+1, 1
;LED Driver.mbas,57 :: 		if shot >= 200 then
	MOVLW      128
	XORWF      _shot+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt61
	MOVLW      200
	SUBWF      _shot+0, 0
L__Interrupt61:
	BTFSS      STATUS+0, 0
	GOTO       L__Interrupt9
;LED Driver.mbas,58 :: 		shot = 0
	CLRF       _shot+0
	CLRF       _shot+1
L__Interrupt9:
;LED Driver.mbas,62 :: 		GSCLK_5940=1
	BSF        PORTB+0, 2
;LED Driver.mbas,63 :: 		GSCLK_5940=0
	BCF        PORTB+0, 2
L__Interrupt3:
;LED Driver.mbas,66 :: 		end sub
L_end_Interrupt:
L__Interrupt59:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _Interrupt

_slide:

;LED Driver.mbas,77 :: 		test4 as string[12]
;LED Driver.mbas,81 :: 		test3 = "001000000000"
	MOVLW      48
	MOVWF      slide_test3+0
	MOVLW      48
	MOVWF      slide_test3+1
	MOVLW      49
	MOVWF      slide_test3+2
	MOVLW      48
	MOVWF      slide_test3+3
	MOVLW      48
	MOVWF      slide_test3+4
	MOVLW      48
	MOVWF      slide_test3+5
	MOVLW      48
	MOVWF      slide_test3+6
	MOVLW      48
	MOVWF      slide_test3+7
	MOVLW      48
	MOVWF      slide_test3+8
	MOVLW      48
	MOVWF      slide_test3+9
	MOVLW      48
	MOVWF      slide_test3+10
	MOVLW      48
	MOVWF      slide_test3+11
	CLRF       slide_test3+12
;LED Driver.mbas,82 :: 		test4 = "111111111111"     'full
	MOVLW      49
	MOVWF      slide_test4+0
	MOVLW      49
	MOVWF      slide_test4+1
	MOVLW      49
	MOVWF      slide_test4+2
	MOVLW      49
	MOVWF      slide_test4+3
	MOVLW      49
	MOVWF      slide_test4+4
	MOVLW      49
	MOVWF      slide_test4+5
	MOVLW      49
	MOVWF      slide_test4+6
	MOVLW      49
	MOVWF      slide_test4+7
	MOVLW      49
	MOVWF      slide_test4+8
	MOVLW      49
	MOVWF      slide_test4+9
	MOVLW      49
	MOVWF      slide_test4+10
	MOVLW      49
	MOVWF      slide_test4+11
	CLRF       slide_test4+12
;LED Driver.mbas,85 :: 		INTCON = 0
	CLRF       INTCON+0
;LED Driver.mbas,86 :: 		INTCON.GIE = 0
	BCF        INTCON+0, 7
;LED Driver.mbas,89 :: 		BLANK_5940=1
	BSF        PORTB+0, 7
;LED Driver.mbas,92 :: 		for p = 0 to 15
	CLRF       slide_p+0
L__slide13:
;LED Driver.mbas,95 :: 		for k = 11 to 0 step -1
	MOVLW      11
	MOVWF      slide_k+0
L__slide18:
;LED Driver.mbas,97 :: 		if actualled = p then
	MOVF       _actualled+0, 0
	XORWF      slide_p+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__slide23
;LED Driver.mbas,99 :: 		if (test4[k] = "1") then
	MOVLW      slide_test4+0
	MOVWF      R0+0
	MOVF       slide_k+0, 0
	ADDWF      R0+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	XORLW      49
	BTFSS      STATUS+0, 2
	GOTO       L__slide26
;LED Driver.mbas,100 :: 		SIN_5940 = 1
	BSF        PORTB+0, 4
	GOTO       L__slide27
;LED Driver.mbas,101 :: 		else
L__slide26:
;LED Driver.mbas,102 :: 		SIN_5940 = 0
	BCF        PORTB+0, 4
;LED Driver.mbas,103 :: 		end if
L__slide27:
	GOTO       L__slide24
;LED Driver.mbas,104 :: 		else
L__slide23:
;LED Driver.mbas,106 :: 		if (actualled = p + 1) and (dire = 1) then
	INCF       slide_p+0, 0
	MOVWF      R0+0
	MOVF       _actualled+0, 0
	XORWF      R0+0, 0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _dire+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__slide29
;LED Driver.mbas,107 :: 		if (test3[k] = "1") then
	MOVLW      slide_test3+0
	MOVWF      R0+0
	MOVF       slide_k+0, 0
	ADDWF      R0+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	XORLW      49
	BTFSS      STATUS+0, 2
	GOTO       L__slide32
;LED Driver.mbas,108 :: 		SIN_5940 = 1
	BSF        PORTB+0, 4
	GOTO       L__slide33
;LED Driver.mbas,109 :: 		else
L__slide32:
;LED Driver.mbas,110 :: 		SIN_5940 = 0
	BCF        PORTB+0, 4
;LED Driver.mbas,111 :: 		end if
L__slide33:
	GOTO       L__slide30
;LED Driver.mbas,112 :: 		else
L__slide29:
;LED Driver.mbas,114 :: 		if (actualled = p - 1) and (dire = 2) then
	DECF       slide_p+0, 0
	MOVWF      R0+0
	MOVF       _actualled+0, 0
	XORWF      R0+0, 0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _dire+0, 0
	XORLW      2
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__slide35
;LED Driver.mbas,115 :: 		if (test3[k] = "1") then
	MOVLW      slide_test3+0
	MOVWF      R0+0
	MOVF       slide_k+0, 0
	ADDWF      R0+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	XORLW      49
	BTFSS      STATUS+0, 2
	GOTO       L__slide38
;LED Driver.mbas,116 :: 		SIN_5940 = 1
	BSF        PORTB+0, 4
	GOTO       L__slide39
;LED Driver.mbas,117 :: 		else
L__slide38:
;LED Driver.mbas,118 :: 		SIN_5940 = 0
	BCF        PORTB+0, 4
;LED Driver.mbas,119 :: 		end if
L__slide39:
	GOTO       L__slide36
;LED Driver.mbas,120 :: 		else
L__slide35:
;LED Driver.mbas,122 :: 		SIN_5940 = 0
	BCF        PORTB+0, 4
;LED Driver.mbas,124 :: 		end if
L__slide36:
;LED Driver.mbas,125 :: 		end if
L__slide30:
;LED Driver.mbas,126 :: 		end if
L__slide24:
;LED Driver.mbas,128 :: 		SCLK_5940 = 1
	BSF        PORTB+0, 5
;LED Driver.mbas,129 :: 		SCLK_5940 = 0
	BCF        PORTB+0, 5
;LED Driver.mbas,131 :: 		next k
	MOVF       slide_k+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__slide21
	MOVLW      255
	ADDWF      slide_k+0, 1
	GOTO       L__slide18
L__slide21:
;LED Driver.mbas,133 :: 		next p
	MOVF       slide_p+0, 0
	XORLW      15
	BTFSC      STATUS+0, 2
	GOTO       L__slide16
	INCF       slide_p+0, 1
	GOTO       L__slide13
L__slide16:
;LED Driver.mbas,136 :: 		BLANK_5940= 0
	BCF        PORTB+0, 7
;LED Driver.mbas,139 :: 		XLAT_5940 = 1
	BSF        PORTB+0, 6
;LED Driver.mbas,140 :: 		delay_us(5)
	MOVLW      3
	MOVWF      R13+0
L__slide40:
	DECFSZ     R13+0, 1
	GOTO       L__slide40
;LED Driver.mbas,141 :: 		XLAT_5940 = 0
	BCF        PORTB+0, 6
;LED Driver.mbas,144 :: 		SIN_5940 = 0
	BCF        PORTB+0, 4
;LED Driver.mbas,146 :: 		SCLK_5940 = 1
	BSF        PORTB+0, 5
;LED Driver.mbas,147 :: 		SCLK_5940 = 0
	BCF        PORTB+0, 5
;LED Driver.mbas,150 :: 		InitTimer0
	CALL       _InitTimer0+0
;LED Driver.mbas,153 :: 		if (dire = 1) then
	MOVF       _dire+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__slide42
;LED Driver.mbas,154 :: 		actualled = actualled + 1
	INCF       _actualled+0, 1
	GOTO       L__slide43
;LED Driver.mbas,155 :: 		else
L__slide42:
;LED Driver.mbas,156 :: 		actualled = actualled - 1
	DECF       _actualled+0, 1
;LED Driver.mbas,157 :: 		end if
L__slide43:
;LED Driver.mbas,159 :: 		if (actualled >= 16) and (dire = 1) then
	MOVLW      16
	SUBWF      _actualled+0, 0
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _dire+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__slide45
;LED Driver.mbas,160 :: 		dire = 2
	MOVLW      2
	MOVWF      _dire+0
;LED Driver.mbas,161 :: 		actualled = actualled - 2
	MOVLW      2
	SUBWF      _actualled+0, 1
L__slide45:
;LED Driver.mbas,163 :: 		if (actualled = 0) and dire = 2 then
	MOVF       _actualled+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       _dire+0, 0
	ANDWF      R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__slide48
;LED Driver.mbas,164 :: 		dire = 1
	MOVLW      1
	MOVWF      _dire+0
L__slide48:
;LED Driver.mbas,167 :: 		end sub
L_end_slide:
	RETURN
; end of _slide

_main:

;LED Driver.mbas,170 :: 		main:
;LED Driver.mbas,172 :: 		TRISB=0
	CLRF       TRISB+0
;LED Driver.mbas,173 :: 		PORTB = %00000000
	CLRF       PORTB+0
;LED Driver.mbas,174 :: 		TRISA = 255
	MOVLW      255
	MOVWF      TRISA+0
;LED Driver.mbas,176 :: 		TRISD = 255
	MOVLW      255
	MOVWF      TRISD+0
;LED Driver.mbas,177 :: 		TRISD.1 = 0
	BCF        TRISD+0, 1
;LED Driver.mbas,178 :: 		TRISD.2 = 0
	BCF        TRISD+0, 2
;LED Driver.mbas,180 :: 		actualled = 0
	CLRF       _actualled+0
;LED Driver.mbas,181 :: 		dire = 1
	MOVLW      1
	MOVWF      _dire+0
;LED Driver.mbas,183 :: 		InitTimer0
	CALL       _InitTimer0+0
;LED Driver.mbas,185 :: 		while (11 <> 6)
L__main52:
;LED Driver.mbas,187 :: 		Slide
	CALL       _slide+0
;LED Driver.mbas,189 :: 		delay_ms(40)
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L__main56:
	DECFSZ     R13+0, 1
	GOTO       L__main56
	DECFSZ     R12+0, 1
	GOTO       L__main56
	NOP
;LED Driver.mbas,191 :: 		wend
	GOTO       L__main52
L_end_main:
	GOTO       $+0
; end of _main
